Loading...
Searching...
No Matches
Magick::Exception Class Reference
Inheritance diagram for Magick::Exception:

## Public Member Functions

| Exception (const std::string &what_)
| Exception (const std::string &what_, Exception *nested_)
| Exception (const Exception &original_)
Exception & | operator= (const Exception &original_)
virtual const char * | what () const throw ()
const Exception * | nested () const throw ()
void | nested (Exception *nested_) throw ()

## Private Attributes

std::string | _what
Exception * | _nested

## Detailed Description

Definition at line 24 of file Exception.h.

## Constructor & Destructor Documentation

## Exception() [1/3]

Magick::Exception::Exception | ( | const std::string & | what_ | ) |

Definition at line 23 of file Exception.cpp.

: std::exception(),
_what(what_),
_nested((Exception *) NULL)
{
}

## Exception() [2/3]

Magick::Exception::Exception | ( | const std::string & | what_,
|  | Exception * | nested_
| ) |  |

Definition at line 30 of file Exception.cpp.

: std::exception(),
_what(what_),
_nested(nested_)
{
}

## Exception() [3/3]

Magick::Exception::Exception | ( | const Exception & | original_ | ) |

Definition at line 38 of file Exception.cpp.

: exception(original_),
_what(original_._what),
_nested((Exception *) NULL)
{
}

## ~Exception()

Magick::Exception::~Exception | ( |  | ) |
throw | ( |
| ) |  |

virtual

Definition at line 45 of file Exception.cpp.

{
delete _nested;
}

## Member Function Documentation

## nested() [1/2]

const Magick::Exception * Magick::Exception::nested | ( |  | ) | const
throw | ( |
| ) |  |

Definition at line 63 of file Exception.cpp.

{
return(_nested);
}

## nested() [2/2]

void Magick::Exception::nested | ( | Exception * | nested_ | ) |
throw | ( |
| ) |  |

Definition at line 68 of file Exception.cpp.

{
_nested=nested_;
}

## operator=()

Magick::Exception & Magick::Exception::operator= | ( | const Exception & | original_ | ) |

Definition at line 50 of file Exception.cpp.

{
if (this != &original_)
this->_what=original_._what;
return(*this);
}

## what()

const char * Magick::Exception::what | ( |  | ) | const
throw | ( |
| ) |  |

virtual

Definition at line 58 of file Exception.cpp.

{
return(_what.c_str());
}

## Field Documentation

## _nested

Exception* Magick::Exception::_nested

private

Definition at line 59 of file Exception.h.

## _what

std::string Magick::Exception::_what

private

Definition at line 58 of file Exception.h.

The documentation for this class was generated from the following files:

- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Magick++/Exception.h
- /build/imagemagick-icbe39/imagemagick-7.1.2.3+dfsg1/Magick++/lib/Exception.cpp